package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum eRoleType {
    Super(1),//超级管理员
    Admin(2);//管理员

    private int value;

    eRoleType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eRoleType valueOf(int value) {
        switch (value) {
            case 1:
                return eRoleType.Super;
            case 2:
                return eRoleType.Admin;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "超级管理员";
            case 2:
                return "普通管理员";
            default:
                return null;
        }
    }
}
